Create a billable metric
curl --request POST \
--url https://api.example.com/api/v1/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"product_family_id": "<string>",
"aggregation_key": "<string>",
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": [
"<string>"
]
}
],
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7",
"segmentation_matrix": {
"key": "<string>",
"values": [
"<string>"
]
},
"unit_conversion": {
"factor": 123
},
"usage_group_key": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/metrics"
payload = {
"code": "<string>",
"name": "<string>",
"product_family_id": "<string>",
"aggregation_key": "<string>",
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": ["<string>"]
}
],
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7",
"segmentation_matrix": {
"key": "<string>",
"values": ["<string>"]
},
"unit_conversion": { "factor": 123 },
"usage_group_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
product_family_id: '<string>',
aggregation_key: '<string>',
description: '<string>',
filters: [{property: '<string>', values: ['<string>']}],
product_id: 'prd_7n42DGM5Tflk9n8mt7Fhc7',
segmentation_matrix: {key: '<string>', values: ['<string>']},
unit_conversion: {factor: 123},
usage_group_key: '<string>'
})
};
fetch('https://api.example.com/api/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"product_family_id": "<string>",
"aggregation_key": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": [
"<string>"
]
}
],
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7",
"segmentation_matrix": {
"key": "<string>",
"values": [
"<string>"
]
},
"unit_conversion": {
"factor": 123
},
"usage_group_key": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Metrics
Create a billable metric
POST
/
api
/
v1
/
metrics
Create a billable metric
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
COUNT, LATEST, MAX, MIN, MEAN, SUM, COUNT_DISTINCT Example:
"pf_7n42DGM5Tflk9n8mt7Fhc7"
Pre-aggregation property filters. Optional and backward-compatible; omit for none.
Show child attributes
Show child attributes
Example:
"prd_7n42DGM5Tflk9n8mt7Fhc7"
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Metric created
Available options:
COUNT, LATEST, MAX, MIN, MEAN, SUM, COUNT_DISTINCT Example:
"bm_7n42DGM5Tflk9n8mt7Fhc7"
Example:
"pf_7n42DGM5Tflk9n8mt7Fhc7"
Show child attributes
Show child attributes
Example:
"prd_7n42DGM5Tflk9n8mt7Fhc7"
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I